## IdeRange IdeRange |

## Functions

IdeRange * | ide_range_new_from_variant ()
IdeRange * | ide_range_new ()
IdeLocation * | ide_range_get_begin ()
IdeLocation * | ide_range_get_end ()
GVariant * | ide_range_to_variant ()

## Properties

IdeLocation * | begin | Read / Write / Construct Only
IdeLocation * | end | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_RANGE
struct | IdeRangeClass
| IdeRange

## Object Hierarchy

        GObject
        ╰── IdeRange

## Description

## Functions

### ide_range_new_from_variant ()

    IdeRange *
    ide_range_new_from_variant (GVariant *variant);

#### Parameters

variant | a GVariant |

#### Returns

a new range or `NULL`.

[transfer full][nullable]

Since: 3.32

### ide_range_new ()

    IdeRange *
    ide_range_new (IdeLocation *begin,
                   IdeLocation *end);

### ide_range_get_begin ()

    IdeLocation *
    ide_range_get_begin (IdeRange *self);

#### Parameters

self | a IdeRange |

#### Returns

the beginning of the range.

[transfer none]

Since: 3.32

### ide_range_get_end ()

    IdeLocation *
    ide_range_get_end (IdeRange *self);

#### Parameters

self | a IdeRange |

#### Returns

the end of the range.

[transfer none]

Since: 3.32

### ide_range_to_variant ()

    GVariant *
    ide_range_to_variant (IdeRange *self);

Creates a variant to represent the range.

This function will never return a floating variant.

#### Parameters

self | a IdeRange |

#### Returns

a GVariant.

[transfer full]

Since: 3.32

## Types and Values

### IDE_TYPE_RANGE

    #define IDE_TYPE_RANGE (ide_range_get_type())

### struct IdeRangeClass

    struct IdeRangeClass {
      GObjectClass parent_class;
    };

### IdeRange

    typedef struct _IdeRange IdeRange;

## Property Details

### The `“begin”` property

      “begin”                    IdeLocation *

The start of the range.

Owner: IdeRange

Flags: Read / Write / Construct Only

### The `“end”` property

      “end”                      IdeLocation *

The end of the range.

Owner: IdeRange

Flags: Read / Write / Construct Only